CONNECT system

SELECT grantee, privilege, admin_option
  FROM dba_sys_privs
 WHERE grantee LIKE 'CODER%'
/
-- No rows found.

SELECT grantee, granted_role, admin_option
  FROM dba_role_privs
 WHERE grantee LIKE 'CODER%'
/
-- coder2 has been granted app_dev_role

SELECT *
  FROM role_sys_privs
 WHERE role = 'APP_DEV_ROLE'
/
-- Privileges listed.

-- All at once.  Could also UNION this to a dba_sys_privs query to get
-- all system privileges, wheter granted directly or through a role.
SELECT drp.grantee, rsp.*
  FROM role_sys_privs rsp JOIN dba_role_privs drp
       ON rsp.role = drp.granted_role
 WHERE drp.grantee LIKE 'CODER%'
/

