-- First, use your OS text editor (vi, Notepad, Wordpad, etc.) to edit
-- the PFILE you created, initSID.ora (where SID is your instance name.)
-- Change:
-- *.processes=150
-- to:
-- *.processes=200
-- Save and exit the PFILE.

-- Can't overwrite the SPFILE while the instance is running.
-- We could also create the SPFILE with a non-default name, then
-- stop and start the instance, passing the SPFILE name to the
-- STARTUP command.  Or, shut down the instance, rename the SPFILE
-- to the default name, then restart.

SELECT name, value FROM v$parameter
 WHERE name = 'processes'
/

SHUTDOWN IMMEDIATE

CREATE SPFILE FROM PFILE
/

STARTUP

SELECT name, value FROM v$parameter
 WHERE name = 'processes'
/

