-- In previous chapters, we create a 'student' account
-- and a student_data tablespace:
-- CREATE USER student IDENTIFIED BY pupil
--        DEFAULT TABLESPACE users TEMPORARY TABLESPACE temp
--        QUOTA UNLIMITED ON users
-- /
-- GRANT CONNECT TO student
-- /
-- CREATE TABLESPACE student_data
--        DATAFILE '/u01/app/oracle/oradata/o10g/student_data01.dbf'
--        SIZE 100M
--        AUTOEXTEND ON NEXT 50M MAXSIZE 500M
--        EXTENT MANAGEMENT LOCAL AUTOALLOCATE

ALTER USER student
      QUOTA UNLIMITED ON student_data
/

GRANT SELECT ANY TABLE TO student
/

