CONNECT student/pupil

CREATE VIEW employees_by_region AS
  SELECT e.empno, e.ename, e.job, e.mgr, e.hiredate, e.sal, e.comm,
         DECODE(d.loc,
                'NEW YORK', 'EAST',
                'BOSTON', 'EAST',
                'CHICAGO', 'MIDWEST',
                'DALLAS', 'SOUTH') AS region
    FROM emp e JOIN dept d USING (deptno)
/

SELECT * FROM employees_by_region
/
